import { Router } from "express";
import {
  createPaymentMethod,
  deletePaymentMethod,
  getPaymentMethods
} from "../controllers/paymentMethodsController.js";
import { requireAdmin } from "../middleware/auth.js";

const router = Router();

router.get("/", getPaymentMethods);
router.post("/", requireAdmin, createPaymentMethod);
router.delete("/:id", requireAdmin, deletePaymentMethod);

export default router;
